function [Ms]=MomentoEnLosSantosProa(v,hang,dang,Xg,Zg,alfa)


% Esta funcin te calcula el momento que se produce en los santos de
% proa (parte inferior de proa de la anguila). Esto sirve para saber
% si el material de construccin es vlido o no
%
% [Ms]=MomentoEnLosSantosProa(v,hang,dang,Xg,Zg,alfa)
% 
% Variables de entrada:
% v datos hidrostticos correspondientes a la flotacin
% hang altura de la anguila
% dang distancia desde la proa de la anguila a la proa del barco
% Xg coordenada longitudinal del centro de pesos
% Zg coordenada vertical del centro de pesos
% alfa inclinacin de la grada
%
% Variables de salida:
% Ms momento en los santos de proa


% Obtenemos el peso

peso=v(6);

% Obtenemos la eslora de flotacin

Lf=v(14);

% Distancia desde el centro de pesos longitudinal a la proa de la anguila

dp=Lf-dang-Xg;


% Calculamos el momento en los santos de proa

Ms=peso*(dp*cos(alfa)+(Zg+hang)*sin(alfa));