function transformar_fichero(fichero_in,fichero_out,conversion)

% Esta funcin transforma un fichero con formato .gf que contiene
% las secciones de un barco en un fichero con excel con formato
% .xls
% El fichero .gf es generado con el programa Rhinoceros
% transformar_fichero(fichero_in)
% Variables de entrada:
% fichero_in  archivo con extensin .gf extrado de Rhinoceros
%       que contiene la informacin de las secciones del barco
% fichero_out contiene el nombre del archivo excel con extensin
%      .xls que contendr tambin la informacin de las secciones
% conversion factor de conversin de la medida en que viene dado el 
%      barco a metros

% componemos para formar la ruta
fichero_in=['./Secciones de Barcos/',fichero_in];

% leemos todos los datos del archivo en una variable de celda
data=textread(fichero_in,'%s');

% localizamos la posicin donde empiezan las secciones

k=1;
while ~strcmp(data{k}(1),'s')
    k=k+1;
end

% le sumamos 2 a la posicin de s0, s1, ...
k=k+2;

p=k; % variable que controla el bucle

% Inicializamos el mnimo de z a 0
zmin=1000;


% Separamos el nmero a la izquierda y a la derecha de la coma
aux=data{p};   % aux es char y no cell
c=1;
while aux(c)~= ','
    c=c+1;
end

xmin=-conversion*str2num(aux(1:c-1));
ns=str2num(aux(c+1:end));

A(p-k+1,1)=0;
A(p-k+1,2)=ns;

for i=1:ns
    p=p+1;
    aux=data{p};
    c=1;
    while aux(c)~= ','
        c=c+1;
    end
    A(p-k+1,1)=conversion*str2num(aux(1:c-1));
    A(p-k+1,2)=conversion*str2num(aux(c+1:end));
    if A(p-k+1,2)<zmin
        zmin=A(p-k+1,2);
    end
end

p=p+1;

while ~strcmp(data{p},'0.,0.,0.')

    aux=data{p};
    c=1;
    while aux(c)~= ','
        c=c+1;
    end

    A(p-k+1,1)=conversion*str2num(aux(1:c-1))+xmin;
    ns=str2num(aux(c+1:end));
    A(p-k+1,2)=ns;

    for i=1:ns
        p=p+1;
        aux=data{p};
        c=1;
        while aux(c)~= ','
            c=c+1;
        end
        A(p-k+1,1)=conversion*str2num(aux(1:c-1));
        A(p-k+1,2)=conversion*str2num(aux(c+1:end));
        if A(p-k+1,2)<zmin
            zmin=A(p-k+1,2);
        end
    end



    p=p+1;
end


zmin=-zmin;

p=p-k;


i=1;
while i<=p

    ns=A(i,2);

    for j=1:ns
        i=i+1;
        A(i,2)=A(i,2)+zmin;
    end

    i=i+1;

end


% si el fichero de salida ya existe lo borramos antes 
d=dir('./Secciones de Barcos/');

nd=length(d);

for i=1:nd
    a=strmatch(d(i).name,fichero_out);
    if a==1
        delete(['./Secciones de Barcos/',fichero_out]);
        break;
    end
end



% guardamos en un fichero excel .xls la matriz A

success = xlswrite(['./Secciones de Barcos/',fichero_out],A);
